Last modified: 2012-12-17 18:05:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27914 - Job queue refreshLinks2 duplicate removal
Job queue refreshLinks2 duplicate removal
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JobQueue (Other open bugs)
1.18.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-07 11:42 UTC by Tim Starling
Modified: 2012-12-17 18:05 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tim Starling 2011-03-07 11:42:27 UTC
The introduction of refreshLinks2 in r40741, while certainly useful, broke the duplicate removal code in Job::pop(). As long as the page ID partitions are precisely the same, it works. But for templates which are very heavily used, it's normal for pages to start or stop using the given template in between closely-spaced template edits. This means that the partitioning changes, so job_params is not the same, so duplicate removal is not done. 

This has been observed to cause a lot of extra work for the Wikimedia job runners. Although English Wikipedia administrators are aware of the performance effects of editing heavily-used templates, they often make mistakes and end up doing several edits in a row.

Duplicate removal of this kind should be a design requirement for a rewritten job queue system. While we are waiting for that, a maintenance script which traverses the job table and removes duplicate jobs would be a useful stopgap measure.
Comment 1 db [inactive,noenotif] 2012-11-28 13:26:36 UTC
Merged Gerrit change #32488 links here, bug maybe resolved
Comment 2 Andre Klapper 2012-12-15 13:09:32 UTC
Aaron: Is this fixed by your patch in Gerrit change #32488 ?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links